## HalcyonSeedBuff

This makes the Halcyon Seed a little bit more useful by summoning Aurelionite during the Mithrix and Voidling boss fights.
The Halcyon Seed's effect is also doubled, meaning Aurelionite will be much stronger overall.

For Mithrix, Aurelionite is summoned on the configured phase (phase 2 by default). Mithrix is able to summon his own Aurelionite if he steals a Halcyon Seed (can be disabled).

For Voidling, Aurelionite is summoned on each phase. Aside from being a homing shot sponge Aurelionite isn't too useful in this fight, and in later phases will be cut short by Voidling's Black Hole attack.

Lastly, if through some extraordinary means you happen to get a Halcyon Seed in the Simulacrum, Aurelionite will be summoned when activating the focus.
Getting a Halcyon Seed in Simulacrum is impossible at the moment. Though if you ever get a [mod](https://thunderstore.io/package/Wolfo/LittleGameplayTweaks/) that allows Aurelionite in the Simulacrum mode you can use a [Trophy Hunter's Tricorn](https://riskofrain2.fandom.com/wiki/Trophy_Hunter%27s_Tricorn) to get a Halcyon Seed.

## What's the difference between this and AurelioniteStuck?

AurelioniteStuck is deprecated, I've also taken the release of SotV as an opportunity to reupload the mod with a name that makes sense.

## Known Issues

- The name of this mod makes sense.
- Mithrix will be quaking in his boots when he summons Aurelionite despite the fact that it's on his side.
- Mithrix gets his Halcyon Seed back after the player gets theirs back, aside from looking unusual it functions correctly.
- The "Team Selection Fix" configuration will mean you can get Aurelionites that are not friendly, however it seems Umbras don't copy Halcyon Seeds so it shouldn't happen normally.
- The current method for checking when Aurelionite should spawn on Phase 1 of the Voidling boss fight is a bit shoddy, however it shouldn't break easily.

## TODO

- Figure out a more foolproof way of checking when phase 1 of the Voidling boss fight begins.
- Add compatability to GoldenCoastPlus if/when it gets updated.

## Change Log

**1.0.1**

```
Fixed the phase 1 Voidling boss fight only summoning Aurelionite once until rebooting the game.
```

**1.0.0**

```
Mod Name changed from "AurelioniteStuck" to "HalcyonSeedBuff".

Added "Spawn On Void Raid" configuration, summons Aurelionite during the Voidling boss fight.
Added "Spawn On Focus" configuration, summons Aurelionite when activating the Focus in Simulacrum.
Added "Team Selection Fix" configuration, is used to toggle the changes this mod makes to how the summoned Aurelionite's team is selected.
Added "Effect Multiplier" configuration, multiplies the Halcyon Seed's effect by this much.

Renamed "Steal Mode" configuration to "Can Be Stolen", now is a boolean.
Renamed "Spawn Phase" configuration to "Spawn Against Mithrix".
```

## Credits

* **Skell** - Halcyon Seed strength multiplier code is copied from their GoldenCoastPlus mod.

## Contact

You can find me as kking117#0370 on discord.